Subject: bug#10159: 24.0.91; Segfault with auto-complete package [SEC=UNCLASSIFIED]

From: Alex Murray <[email-masked]>
Date: Tue, 06 Dec 2011 16:17:40 +1030

Okay have managed to reproduce the crash without any optimizations and 
am including the first few stack frames in line - see attached for the 
entire gdb backtrace full output

#0  0x0000000000687832 in composition_compute_stop_pos 
(cmp_it=0x7fffffff9018,
     charpos=74, bytepos=86, endpos=100, string=44875745) at 
composite.c:1073
         elt = 44875745
         ridx = 0
         start = 0
         end = 21769088
         c = 11542528
         prop = 12818946
         val = 390
         MAX_NEWLINE_DISTANCE = 500
#1  0x00000000004371d2 in compute_stop_pos (it=0x7fffffff87b0) at 
xdisp.c:3273
         stoppos = 100
         iv = 0x0
         next_iv = 0x0
         object = 44875745
         limit = 12818946
         position = 0
         charpos = 0
         bytepos = 0
#2  0x0000000000436dd0 in handle_stop (it=0x7fffffff87b0) at xdisp.c:3161
         handled = HANDLED_NORMALLY
         handle_overlay_change_p = 1
         p = 0x8fd8f8
#3  0x00000000004423f9 in next_element_from_string (it=0x7fffffff87b0)
     at xdisp.c:7304
         position = {charpos = 0, bytepos = 0}
#4  0x000000000043f523 in get_next_display_element (it=0x7fffffff87b0)
     at xdisp.c:6375
         success_p = 1

On 02/12/11 16:10, Alex Murray wrote:
> After rebuilding Emacs with -O0 so far I have been unable to reproduce
> this - if I can however I will be sure to send in an updated backtrace.
>
> On Fri 02 Dec 2011 02:39:19 CST, Paul Eggert wrote:
>> Would it be possible to get a backtrace from an Emacs
>> compiled without optimization? That would help to
>> debug things remotely.
>>
>> I realize that you
>> didn't build your Emacs, but perhaps you can ask
>> Damien Cassou, who built it, to also build a version
>> without -O2.

IMPORTANT: This email remains the property of the Department of Defence and is subject to the jurisdiction of section 70 of the Crimes Act 1914. If you have received this email in error, you are requested to contact the sender and delete the email.